Gets a service account’s credentials.
To obtain this endpoint’s required URL, systemKey, and token, do the following:
-
Click the Select project drop-down at the top of the IoT Core UI.
-
Click the Edit icon (pencil) next to the desired project.
-
Go to the SERVICE ACCOUNTS tab.
-
If a service account already exists, select it and choose DOWNLOAD CREDENTIALS. If a service account does not exist, create it and select DOWNLOAD CREDENTIALS.
-
A JSON file will be downloaded to your local machine. Open the file with an editor. Use the systemKey, token, and URL from the file as needed below.
HTTP request
POST {URL}/api/v/1/code/{SystemKey}/getProjectCredentials
Header parameters
|
Parameters |
|
|---|---|
|
|
See the note at the start of this document on where to find the token. |
Request body
|
JSON representation |
|---|
|
JSON
|
Response status codes
|
Code |
Meaning |
|---|---|
|
200 |
Success |
Response body
|
JSON representation |
|---|
|
JSON
|
Example curl
curl -X POST 'https://iot.clearblade.com/api/v/1/code/aae9b9b30c8aa4e49081c7eeb9bb07/getProjectCredentials' -H 'ClearBlade-UserToken: {token}' -d '{"projectId": "abc"}'
Using the instructions at the start of this document, replace the following: https://iot.clearblade.com with your URL. aae9b9b30c8aa4e49081c7eeb9bb07 with your systemKey. {token} with your token.